# Copyright (C) 2017 The Android Open Source Project
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

LOCAL_PATH := $(call my-dir)

# Here is the final static library that apps can link against.
# Applications that use this library must specify
#
#   LOCAL_STATIC_ANDROID_LIBRARIES := \
#       android-support-car\
#       android-support-design \
#       android-support-v4 \
#       android-support-v7-appcompat \
#       android-support-v7-cardview \
#       android-support-v7-recyclerview
#
# in their makefiles to include the resources and their dependencies in their package.

# Create a prebuilt library for android.car stubs. Implementation will be available as part of
# system on automotive devices.
include $(CLEAR_VARS)
LOCAL_PREBUILT_STATIC_JAVA_LIBRARIES := \
        prebuilt-android.car-stubs:car-stubs/android.car.jar
include $(BUILD_MULTI_PREBUILT)

include $(CLEAR_VARS)
LOCAL_USE_AAPT2 := true
LOCAL_MODULE := android-support-car
LOCAL_SDK_VERSION := $(SUPPORT_CURRENT_SDK_VERSION)
LOCAL_SRC_FILES := $(call all-java-files-under,src/main/java)
LOCAL_RESOURCE_DIR := $(LOCAL_PATH)/res
LOCAL_MANIFEST_FILE := src/main/AndroidManifest.xml
LOCAL_STATIC_JAVA_LIBRARIES := \
    prebuilt-android.car-stubs
LOCAL_JAVA_LIBRARIES := \
        android-support-annotations
LOCAL_SHARED_ANDROID_LIBRARIES := \
        android-support-design \
        android-support-v4 \
        android-support-v7-appcompat \
        android-support-v7-cardview \
        android-support-v7-recyclerview
LOCAL_JAR_EXCLUDE_FILES := none
LOCAL_JAVA_LANGUAGE_VERSION := 1.8
LOCAL_AAPT_FLAGS := --add-javadoc-annotation doconly
include $(BUILD_STATIC_JAVA_LIBRARY)
